commit:     5297e0ae60c6115c91dc132e8e72e1ec196a2fd5
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Fri May  7 12:49:26 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri May  7 12:50:14 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5297e0ae

net-irc/ii: sed-fix CFLAGS in 1.8

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-irc/ii/ii-1.8.ebuild | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/net-irc/ii/ii-1.8.ebuild b/net-irc/ii/ii-1.8.ebuild
index 5ef9e5bdca9..be2821b3f79 100644
--- a/net-irc/ii/ii-1.8.ebuild
+++ b/net-irc/ii/ii-1.8.ebuild
@@ -15,7 +15,8 @@ KEYWORDS="amd64 arm ~arm64 ~ppc ~ppc64 x86 ~amd64-linux"
 src_prepare() {
        default
 
-       sed -i -e '/^LDFLAGS/{s:-s::g; s:= :+= :g}' config.mk || die
+       sed -i -e '/^LDFLAGS/{s:-s::g; s:= :+= :g}' \
+               -e '/^CFLAGS/{s: -Os::g; s:= :+= :g}' config.mk || die
 }
 
 src_compile() {

Reply via email to